<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Remote (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Remote (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Remote.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/network/Remote.html" target="_top">Frames</a></li>
<li><a href="Remote.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.network</div>
<h2 title="Class Remote" class="title">Class Remote</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.network.Remote</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Remote</span>
extends java.lang.Object</pre>
<div class="block">Class that is used to manage creation and getting of local and remote RMI's respectively. Methods offer and
 find can be used to either offer a Player object on a local RMI or get a reference to a remote Player from a RMI
 at host:port .
 Default port is 1099 per RMI specifications.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alexander Waehling</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#DEFAULT_PORT">DEFAULT_PORT</a></span></code>
<div class="block">Default port to offer and look for players on.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#host">host</a></span></code>
<div class="block">ip-address or resolvable name of Registry to connect with</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#port">port</a></span></code>
<div class="block">Either player is offered on local RMI with this port, or a player is looked for on remote RMI on this port.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.rmi.registry.Registry</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#registry">registry</a></span></code>
<div class="block">Registry to either offer a player on or get a remote player from.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#Remote--">Remote</a></span>()</code>
<div class="block">Setup local RMI with default port 1099.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#Remote-int-">Remote</a></span>(int&nbsp;port)</code>
<div class="block">Setup local RMI with specified port.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#Remote-java.lang.String-">Remote</a></span>(java.lang.String&nbsp;host)</code>
<div class="block">Get a reference to a remote RMI on the specified host and and <a href="../../towerwarspp/network/Remote.html#DEFAULT_PORT"><code>DEFAULT_PORT</code></a> 1099.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#Remote-java.lang.String-int-">Remote</a></span>(java.lang.String&nbsp;host,
      int&nbsp;port)</code>
<div class="block">Get a reference to a remote RMI on the specified host and port.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#askForName-java.util.List-">askForName</a></span>(java.util.List&lt;java.lang.String&gt;&nbsp;names)</code>
<div class="block">Helper method that uses a Scanner to interactively ask the user for a name contained in the passed List of names.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#find--">find</a></span>()</code>
<div class="block">Looks for Remote objects bound to <a href="../../towerwarspp/network/Remote.html#registry"><code>registry</code></a> obtained at object construction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#find-java.lang.String-">find</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Look for a remote Player with the specified name on the <a href="../../towerwarspp/network/Remote.html#registry"><code>registry</code></a> obtained at object construction.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/network/Remote.html#offer-towerwarspp.preset.Player-java.lang.String-">offer</a></span>(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;netPlayer,
     java.lang.String&nbsp;name)</code>
<div class="block">Offer a Remote Player object with the passed name on <a href="../../towerwarspp/network/Remote.html#registry"><code>registry</code></a> obtained on object construction</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_PORT</h4>
<pre>public static final&nbsp;int DEFAULT_PORT</pre>
<div class="block">Default port to offer and look for players on. Conforms to the standard RMI port.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.network.Remote.DEFAULT_PORT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="host">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>host</h4>
<pre>private final&nbsp;java.lang.String host</pre>
<div class="block">ip-address or resolvable name of Registry to connect with</div>
</li>
</ul>
<a name="port">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>port</h4>
<pre>private final&nbsp;int port</pre>
<div class="block">Either player is offered on local RMI with this port, or a player is looked for on remote RMI on this port.</div>
</li>
</ul>
<a name="registry">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>registry</h4>
<pre>private&nbsp;java.rmi.registry.Registry registry</pre>
<div class="block">Registry to either offer a player on or get a remote player from.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Remote-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Remote</h4>
<pre>public&nbsp;Remote(int&nbsp;port)</pre>
<div class="block">Setup local RMI with specified port. If there is already a RMI instance on that port running, it's used instead
 of creating a new RMI registry.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>port</code> - Port to look on</dd>
</dl>
</li>
</ul>
<a name="Remote--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Remote</h4>
<pre>public&nbsp;Remote()</pre>
<div class="block">Setup local RMI with default port 1099. If there is already a RMI instance on that port running, it's used instead
 of creating a new RMI registry.</div>
</li>
</ul>
<a name="Remote-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Remote</h4>
<pre>public&nbsp;Remote(java.lang.String&nbsp;host,
              int&nbsp;port)</pre>
<div class="block">Get a reference to a remote RMI on the specified host and port.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>host</code> - host to look for an RMI at</dd>
<dd><code>port</code> - port to look on</dd>
</dl>
</li>
</ul>
<a name="Remote-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Remote</h4>
<pre>public&nbsp;Remote(java.lang.String&nbsp;host)</pre>
<div class="block">Get a reference to a remote RMI on the specified host and and <a href="../../towerwarspp/network/Remote.html#DEFAULT_PORT"><code>DEFAULT_PORT</code></a> 1099.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>host</code> - host to look for an RMI at</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="offer-towerwarspp.preset.Player-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>offer</h4>
<pre>public&nbsp;void&nbsp;offer(<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;netPlayer,
                  java.lang.String&nbsp;name)</pre>
<div class="block">Offer a Remote Player object with the passed name on <a href="../../towerwarspp/network/Remote.html#registry"><code>registry</code></a> obtained on object construction</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>netPlayer</code> - Player object to offer</dd>
<dd><code>name</code> - name to offer netplayer under</dd>
</dl>
</li>
</ul>
<a name="find-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>find</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;find(java.lang.String&nbsp;name)</pre>
<div class="block">Look for a remote Player with the specified name on the <a href="../../towerwarspp/network/Remote.html#registry"><code>registry</code></a> obtained at object construction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - name to look for</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>remote reference to a Player object</dd>
</dl>
</li>
</ul>
<a name="find--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>find</h4>
<pre>public&nbsp;<a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;find()</pre>
<div class="block">Looks for Remote objects bound to <a href="../../towerwarspp/network/Remote.html#registry"><code>registry</code></a> obtained at object construction. If there is only one, it is automatically selected
 and a Player reference to this object returned.
 If more than one Remote object is bound to the Registry, all bound Objects are listed and the player is interactively
 asked via commandline which player he wishes to play against.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a reference to a remote Player object</dd>
</dl>
</li>
</ul>
<a name="askForName-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>askForName</h4>
<pre>private&nbsp;java.lang.String&nbsp;askForName(java.util.List&lt;java.lang.String&gt;&nbsp;names)</pre>
<div class="block">Helper method that uses a Scanner to interactively ask the user for a name contained in the passed List of names.
 If the entered name is not present in the List, the user will be notified and prompted to enter the name again, until
 a correct name is entered.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>names</code> - list of names of possible Remote Players</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>name that matches the name of one of the players passed in the List names</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Remote.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/network/Remote.html" target="_top">Frames</a></li>
<li><a href="Remote.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
